
import http from '@/http'
// export const list = params =>
//   http.get('/api/v1/project/lib/list', { params }) // 项目库列表
export const list = params =>
  http.get('/api/v1/project/lib/lib-list', { params }) // 项目库列表
export const projectExcel = data =>
  http.post('/api/v1/project/lib/exportList', data, { responseType: 'blob' }) // 项目库导出
export const projectDetail = id =>
  http.get(`/api/v1/project/lib/${id}`) // 项目详情
export const proDetail = projectCode =>
  http.get(`/api/v1/project/lib/detail/${projectCode}`) // 项目详情(包括历史归集项目)
export const processSchedule = projectId =>
  http.get(`/api/v1/project/lib/processSchedule/${projectId}`) // 项目流程进度条

export const expertReviewDetail = projectCode =>
  http.get(`/api/v1/expertReview/detail/${projectCode}`) // 所以专家评审意见
export const appList = params =>
  http.get('/api/v1/project/lib/application/list', { params }) // 应用列表
export const appReport = appCode =>
  http.get(`/api/v1/application/get-report/${appCode}`) // 获取应用 试运行报告
export const historyList = id =>
  http.get(`/api/v1/project/lib/history-list/${id}`) // 项目历史记录

export const wantReadDetail = instanceId => http.get(`/api/v1/file-manage/project-file/wantRead-detail/${instanceId}`) // 延期申请详情
export const constructDetail = id =>
  http.get(`/api/v1/project/lib/construct/${id}`) // 建设方案申报详情
export const prePlanDetail = id =>
  http.get(`/api/v1/project/lib/prePlan/${id}`) // 初步方案详情
export const delayList = projectId =>
  http.get(`/api/v1/declared/delayed/delay-list/${projectId}`) // 延期信息列表
